### Method

# Gck Builder clear

#### Declaration [src]

    void
    gck_builder_clear (
      GckBuilder* builder
    )

#### Description [src]

Clear the builder and release all allocated memory. The builder may be used again to build another set of attributes after this function call.

If memory is shared between this builder and other attributes, then that memory is only freed when both of them are cleared or unreferenced.